%define anolis_release 4
%bcond_without IPC_Run
%global modname IPC-Cmd

Name:           perl-%{modname}
Epoch:          2
Version:        1.04
Release:        %{anolis_release}%{?dist}
Summary:        Finding and running system commands made easy
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/IPC-Cmd
Source0:        https://cpan.metacpan.org/authors/id/B/BI/BINGOS/IPC-Cmd-%{version}.tar.gz

BuildRequires:  make perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(constant) perl(strict) perl(warnings) perl(Carp) perl(File::Spec)
BuildRequires:  perl(Exporter) perl(ExtUtils::MM::Utils)
BuildRequires:  perl(FileHandle) perl(IO::Handle) perl(IO::Select) perl(IPC::Open3)
BuildRequires:  perl(Locale::Maketext::Simple) perl(Params::Check) >= 0.20
BuildRequires:  perl(Module::Load::Conditional) >= 0.66 perl(lib)
BuildRequires:  perl(POSIX) perl(Socket) perl(Text::ParseWords)
BuildRequires:  perl(Data::Dumper) perl(Time::HiRes) perl(Symbol)
BuildRequires:  perl(File::Temp) perl(File::Spec) perl(Test::More) perl(vars)
%if %{with IPC_Run} && !%{defined perl_bootstrap}
BuildRequires:  perl(IPC::Run) >= 0.55
%endif

Requires:       perl(ExtUtils::MM::Utils) perl(FileHandle) perl(IO::Handle)
Requires:       perl(IO::Select) perl(IPC::Open3) perl(Module::Load::Conditional) >= 0.66
Requires:       perl(Socket) perl(Params::Check) >= 0.20
Requires:       perl(Time::HiRes) perl(POSIX)

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Module::Load::Conditional\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Params::Check\\)$

%if %{with IPC_Run}
Suggests:       perl(IPC::Run) >= 0.55
%endif

BuildArch:      noarch

%description
IPC::Cmd allows for the searching and execution of any binary on your system.
It adheres to verbosity settings and is able to run intereactive. It
also has an option to capture output/error buffers.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{modname}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%{perl_vendorlib}/IPC/
%{_mandir}/man3/IPC::Cmd.3*

%files doc
%doc README CHANGES

%changelog
* Thu Apr 13 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 1.04-4
- Refactor the specfile

* Mon Feb 06 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.04-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.04-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 zhang xianting <zhangxianting@uniontech.com> - 1.04-1
- Initial build for Anolis V23
